#ifndef VY_VK_FRAMEBUFFER_H
#define VY_VK_FRAMEBUFFER_H

#include <volk/volk.h>

typedef struct {
    VkFramebuffer framebuffer;
    uint32_t pass_idx;
} vy_framebuffer;

typedef struct {
    uint32_t index;
} vy_framebuffer_handle;

/* Reserve a slot, but don't actually create the framebuffer yet.
 * We can use this if we are unsure if the framebuffer will really be needed.
 */
vy_framebuffer_handle vy_reserve_framebuffer(void);

vy_framebuffer *vy_get_framebuffer(vy_framebuffer_handle handle);

#endif
