#ifndef VY_BUFFER_MANAGER_H
#define VY_BUFFER_MANAGER_H

#include "runtime.h"

enum {
    VY_BUFFER_MGR_OUT_OF_MEMORY = VY_SUCCESS + 1,
    VY_BUFFER_MGR_MUTEX_CREATION_FAILED,
};

VY_DLLEXPORT vy_result vyInitBufferManager(void);

VY_DLLEXPORT void vyShutdownBufferManager(void);

VY_DLLEXPORT void *vyAllocBuffer(size_t size);

VY_DLLEXPORT void vyReleaseBuffer(const void *begin, size_t size);

VY_DLLEXPORT void vyIncreaseBufferRefCount(const void *begin, size_t size);

#endif
