#ifndef VY_APP_H
#define VY_APP_H

/* Platform specific application entry point */

#include "runtime.h"

#ifdef _WIN32

/* Forward declared here, to avoid including windows.h */
struct HINSTANCE__;

VY_DLLEXPORT int vyWin32Entry(struct HINSTANCE__ *hInstance,
                              struct HINSTANCE__ *hPrevInstance,
                              wchar_t *pCmdLine,
                              int nCmdShow);

#elif defined(VY_USE_XLIB)

VY_DLLEXPORT int vyXlibEntry(int argc, char **argv);

#endif

#endif
